Link one of your chat starts to the project it became
curl --request PATCH \
--url https://patch.gg/api/v1/me/chat-starts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "mira/lantern-run"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project: 'mira/lantern-run'})
};
fetch('https://patch.gg/api/v1/me/chat-starts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/chat-starts/{id}"
payload = { "project": "mira/lantern-run" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "browser_game",
"agent": "<string>",
"project": "<string>",
"games": [
{
"name": "Bloons TD 6",
"role": "host",
"store": "steam",
"ref": "960090",
"host_game": "<string>"
}
],
"created_at": "<string>"
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Chats
Link one of your chat starts to the project it became
PATCH
/
me
/
chat-starts
/
{id}
Link one of your chat starts to the project it became
curl --request PATCH \
--url https://patch.gg/api/v1/me/chat-starts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "mira/lantern-run"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project: 'mira/lantern-run'})
};
fetch('https://patch.gg/api/v1/me/chat-starts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/chat-starts/{id}"
payload = { "project": "mira/lantern-run" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "browser_game",
"agent": "<string>",
"project": "<string>",
"games": [
{
"name": "Bloons TD 6",
"role": "host",
"store": "steam",
"ref": "960090",
"host_game": "<string>"
}
],
"created_at": "<string>"
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
An API key (pch_...) or the token from pch login.
Path Parameters
Body
application/json
Pattern:
^[a-z0-9][a-z0-9-]*\/[a-z0-9][a-z0-9-]*$Example:
"mira/lantern-run"